ControlHistoryDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.server.session.ControlHistoryDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.server.session
Class ControlHistoryDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.control.server.session.ControlHistoryDAO

    public class ControlHistoryDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`ControlHistoryDAO(DAOFactory f)`

Method Summary
`java.util.Collection` | `findByEntity(int type, int id)`
`java.util.Collection` | `findByEntityAction(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityDateScheduled(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityDuration(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityStartTime(int type, int id, boolean asc)`
`java.util.Collection` | `findByEntityStatus(int type, int id, boolean asc)`
`java.util.Collection` | `findByGroupAction(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupDateScheduled(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupDuration(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupStartTime(int groupId, int batchId, boolean asc)`
`java.util.Collection` | `findByGroupStatus(int groupId, int batchId, boolean asc)`
`ControlHistory` | `findById(java.lang.Integer id)`
`java.util.Collection` | `findByStartTime(long time, boolean asc)`
`ControlHistory` | `get(java.lang.Integer id)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlHistoryDAO

    public ControlHistoryDAO(DAOFactory f)

Method Detail

### findById

    public ControlHistory findById(java.lang.Integer id)

### get

    public ControlHistory get(java.lang.Integer id)

### findByStartTime

    public java.util.Collection findByStartTime(long time,
                                                boolean asc)

### findByEntity

    public java.util.Collection findByEntity(int type,
                                             int id)

### findByEntityStartTime

    public java.util.Collection findByEntityStartTime(int type,
                                                      int id,
                                                      boolean asc)

### findByEntityAction

    public java.util.Collection findByEntityAction(int type,
                                                   int id,
                                                   boolean asc)

### findByEntityStatus

    public java.util.Collection findByEntityStatus(int type,
                                                   int id,
                                                   boolean asc)

### findByEntityDuration

    public java.util.Collection findByEntityDuration(int type,
                                                     int id,
                                                     boolean asc)

### findByEntityDateScheduled

    public java.util.Collection findByEntityDateScheduled(int type,
                                                          int id,
                                                          boolean asc)

### findByGroupStartTime

    public java.util.Collection findByGroupStartTime(int groupId,
                                                     int batchId,
                                                     boolean asc)

### findByGroupAction

    public java.util.Collection findByGroupAction(int groupId,
                                                  int batchId,
                                                  boolean asc)

### findByGroupStatus

    public java.util.Collection findByGroupStatus(int groupId,
                                                  int batchId,
                                                  boolean asc)

### findByGroupDuration

    public java.util.Collection findByGroupDuration(int groupId,
                                                    int batchId,
                                                    boolean asc)

### findByGroupDateScheduled

    public java.util.Collection findByGroupDateScheduled(int groupId,
                                                         int batchId,
                                                         boolean asc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.